HttpRequest::getResponseInfo
HttpRequest::getResponseStatus
The HttpRequest
PHP Manual

# HttpRequest::getResponseMessage

(PECL pecl_http >= 0.10.0)

HttpRequest::getResponseMessage — Get response message

### Description

public HttpMessage HttpRequest::getResponseMessage ( void )

Get the full response as HttpMessage object after the request has been sent.

If redirects were allowed and several responses were received, the data references the last received response. Use HttpMessage::getParentMessage() to access the data of previously received responses within this request cycle.

### Return Values

Returns an HttpMessage object of the response.

### Errors/Exceptions

Throws HttpException, HttpRuntimeException.

HttpRequest::getResponseInfo
HttpRequest::getResponseStatus
The HttpRequest
PHP Manual